summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:33:41 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:33:41 -0400
commit69fdd5a9f3906a88e124b5279b80c1647192827e (patch)
tree710b92ee2eb24e72420a78146a6f823d8efbd02b
parent701bedde8ab621cac76d32156e57271ff3250ccf (diff)
downloadslackbuilds-69fdd5a9f3906a88e124b5279b80c1647192827e.tar.gz
slackbuilds-69fdd5a9f3906a88e124b5279b80c1647192827e.tar.xz
development/kdiff3: Fixed for bash4.
-rw-r--r--development/kdiff3/kdiff3.SlackBuild14
1 files changed, 2 insertions, 12 deletions
diff --git a/development/kdiff3/kdiff3.SlackBuild b/development/kdiff3/kdiff3.SlackBuild
index 7edfe0a40e..cc8fd63969 100644
--- a/development/kdiff3/kdiff3.SlackBuild
+++ b/development/kdiff3/kdiff3.SlackBuild
@@ -73,18 +73,8 @@ cd build
make install VERBOSE=1 DESTDIR=$PKG
cd -
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
-
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \